#
# osc-plugin-manager.spec
#

#
#  Copyright (C) 2008, 2010 Oracle.  All rights reserved.
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public
#  License as published by the Free Software Foundation, version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  General Public License for more details.
#
#  You should have received a copy of the GNU General Public
#  License along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 021110-1307, USA
#

#
# Oracle Storage Connect plugin infrastructure .spec file
#

Vendor:     Oracle America
Summary:    Oracle Storage Connect Plugin Infrastructure
URL:        http://oss.oracle.com/

License:    GPLv2 / Oracle Specification, Development and Distribution License
BuildArch:  noarch

%define     dist                    .el5
%define     build_dir               %{_builddir}/%{name}-%{version}
%define     install_dir             /opt/storage-connect
%define     sharedoc_dir            /usr/share/doc
%define     plugin_dir              /opt/storage-connect/plugins

Name:       osc-plugin-manager
Version:    1.2.8
Release: 9%{?dist}.3
Group:      Storage/StorageConnect
Source0:    %{name}-%{version}.tar.bz2
Source1:    StorageConnectDevGen.pdf
Source2:    StorageConnectDevIFS.pdf
Source3:    StorageConnectDevISA.pdf
BuildRoot:  %{_tmppath}/%{name}-%{version}
Requires:   sg3_utils >= 1.25-1 lsscsi

Patch1:    dummy.patch
Patch2: filter_targets_by_access_host.patch
Patch3: patch1694.patch
Patch4: deviceResize.patch
Patch5: fix_exception_error.patch
Patch6: check_for_issue_lip.patch
Patch7: vendor_typo.patch
Patch8: chap_in_start.patch
Patch9: rev1028.patch
Patch10: rev1107.patch
Patch11: rev1167.patch
# End Oracle Patches

%description
Oracle Storage Connect plug-in infrastructure required by the Storage Connect
Plugins.

%package devel
Summary:    Oracle Storage Connect Plugin Development
Group:      Storage/StorageConnect/Development
Requires:   osc-plugin-manager

%description devel
Oracle Storage Connect plugin development documentation and samples.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
cp %{SOURCE1} docs/pdf/
cp %{SOURCE2} docs/pdf/
cp %{SOURCE3} docs/pdf/

%build

%install
rm -fr %{buildroot}/*
install -d -m0755 %{buildroot}/%{install_dir}
install -d -m0755 %{buildroot}/%{install_dir}/bin
install -d -m0755 %{buildroot}/%{install_dir}/docs
install -d -m0755 %{buildroot}/%{install_dir}/plugins
install -d -m0755 %{buildroot}/%{install_dir}/samples
install -d -m0755 %{buildroot}/%{install_dir}/tests
install -d -m0755 %{buildroot}/%{sharedoc_dir}/%{name}
install -d -m0755 %{buildroot}/%{sharedoc_dir}/%{name}-devel
install -d -m0755 %{buildroot}/%{plugin_dir}
cp %{build_dir}/usrshare/COPYING  %{buildroot}/%{sharedoc_dir}/%{name}/.
cp %{build_dir}/usrshare/COPYING  %{buildroot}/%{sharedoc_dir}/%{name}-devel/.
rm -fr %{build_dir}/usrshare
mv %{build_dir}/*                 %{buildroot}/%{install_dir}/.

%clean
rm -fr %{buildroot}

%files devel
%defattr(0755, root, root, 0755)
%attr(0755, root, root) %{install_dir}/bin/PluginRunner.py*
%{install_dir}/docs
%{install_dir}/samples
%{install_dir}/tests
%doc %{sharedoc_dir}/%{name}-devel/COPYING
%docdir %{install_dir}/docs

%files
%defattr(0755, root, root, 0755)
%attr(0755, root, root) %{install_dir}/PluginManager.py*
%attr(0755, root, root) %{install_dir}/OSC*.py*
%attr(0755, root, root) %{install_dir}/PyEnum.py*
%attr(0755, root, root) %{install_dir}/bin/announce*
%attr(0755, root, root) %{install_dir}/plugins/*
%doc %{sharedoc_dir}/%{name}/COPYING

%changelog
* Wed Feb 29 2012 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-9..el5.3 
- Remove fc_host patches. 

* Thu Jan 19 2012 Joe Jin <joe.jin@oracle.com> - 1.2.8-9.el5.2
- Merge below 2 patches for bug13542139:
  Dont throw IO error exception if fc_host port_state is not online
  or active when issue LIP.
  Block the device for root partition when rescan fc_host 

* Mon Oct 03 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-9 
- Changes for sccaller removal [bug sccaller_removal] 

* Tue Aug 02 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-8 
- Added session chap info in start function [bug 12662570] 

* Wed Jul 13 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-7 
- Fix vendors to vendor 

* Tue Jul 12 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-6 
- Added check for assumed sys fs entries in refress. Ex issue_lip 

* Fri Jul 01 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-5 
-  [bug 12551165] 

* Thu Jun 16 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-4 
- Added device resize [bug 12620020] 

* Fri Jun 10 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.8-3 
- Changed the scsi bus refresh to happen for all scsi protocols (fc/iscsi & local) 

* Thu Jun 02 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.8-2 
- discover filters out targets by access_host
  Oracle_Bug:12614246 

* Fri May 06 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.8-1 
- Partner release 1.2.8 

* Thu May 05 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-29 
- Fixed comment for file list 

* Thu Apr 28 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-28 
- Refresh complains if there are no fc_host and will throw an exception durring the mulipath remap if there are no luns. Now checks to see if fc_hosts exists and no long throws remap exception but prints the error. [bug 12378695] 

* Sun Apr 10 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-27 
- Added mulipath lun uuid from page 83 input makeMPPage83FromRawPage83. 

* Thu Apr 07 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-26 
- Change as per core request /dev/mpath to /dev/mapper 

* Thu Mar 31 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-25 
- Added plugin cache support. 

* Mon Mar 28 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-24 
- Added async support 

* Wed Mar 23 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-23 
- Backed out target login change. 

* Mon Mar 21 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-22 
- Change to iscsiadm login to target to enable simultaneous ghost logins. Fix to
  getPage83FromMPDev to import IPlugin. 

* Fri Mar 11 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-21 
- In updateSERecords path element was not a list. 

* Thu Mar 10 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-20 
- Fix for lun destroy. 

* Tue Mar 08 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-19 
- Added implementation for updateSERecord. 

* Sat Feb 26 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-18 
- Changed teardown device to page83_id 

* Thu Feb 24 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-17 
- Added device tear down. 

* Mon Feb 21 2011 Cathy Avery <cathy.avery@oracle.com> - 1.2.7-16 
- Added exception FileSystemAlreadyMountedEx 

* Mon Jan 31 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-15 
- Changed so that verbose option raise the exceptions all the way up for debugging purposes 

* Mon Jan 31 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-14 
- Added 2>/dev/null for rmdir.... 

* Thu Jan 27 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-13 
- Added the require_cluster capability for file system plugins 

* Fri Jan 14 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-12 
- Fixed problem where max_access_entries are not correctly being used... 

* Thu Jan 13 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-11 
- Updated the tests to match the 1.2.7 spec version 

* Wed Jan 12 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-10 
- Changed the device name regex to be more flexible to allow for local devices as well 

* Mon Jan 10 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-9 
- Added the destroy call to the IFS plugin call list 

* Mon Jan 10 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-8 
- doc update for 1.2.7 
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Wed Jan 05 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-7 
- Doc updates 
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Wed Jan 05 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-6 
- Changed filesys_path to access_path for networked file systems... 

* Tue Jan 04 2011 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-5 
- Added FS_STATES 

* Thu Dec 23 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-4  
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Wed Dec 22 2010 Joel Becker <joel.becker@oracle.com> - 1.2.7-3 
- OSCPlugin: Remove dead 'filesys_path' key.
  The filesys_path key is now backing_device, but the list of required
  fields still specified it.
  Signed-off-by: Joel Becker <joel.becker@oracle.com> 

* Thu Dec 16 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-2 
- Fixed problem where PM does not check versions 

* Thu Dec 16 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.7-1
- Update

* Thu Dec 16 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.4-11 
- Added BACKING_DEVICE_TYPES enums
  patch:add-backing-device-types-enum.patch 

* Thu Dec 16 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.4-10 
- Update to version 1.27 of the spec... 
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Tue Dec 07 2010 Joel Becker <joel.becker@oracle.com> - 1.2.4-9 
- OSCCache: Document the caching API
  Add a simple description of the caching API.
  Signed-off-by: Joel Becker <joel.becker@oracle.com> 

* Mon Dec 06 2010 Joel Becker <joel.becker@oracle.com> - 1.2.4-7 
- OSCCache: Introduce a basic cache.
  This is a simple memory cache that honors the protocol described in the
  OSC Plug-in documentation.  It does not persist across process
  boundaries.
  OSCPlugin uses the class OSCDefaultCache as a default value for
  IPlugin.cache.  Thus any plug-in can always rely on the caching
  functions.  Most applications should provide their own, smarter cache in
  IPlugin.cache.
  It lives in its own file because OSCPlugin cannot load OSCPluginUtils
  due to circular dependancies.
  Also included is a simple unit test.
  Signed-off-by: Joel Becker <joel.becker@oracle.com> 

* Fri Dec 03 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.4-6 
- Fixes as per feedback from partners 

* Mon Nov 01 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.4-5 
- Fixed index out of range problem with code determining multipath slave devices 

* Fri Oct 22 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.4-4 
- - Added --script-options to PluginRunner
  - Added clean-first option to BasicPluginTests
  - Fixed problem where test does not wait for refresh to do its work
  - Fixed iSCSI login issue when target is available on multiple networks 

* Mon Oct 18 2010 Cathy Avery <cathy.avery@oracle.com> - 1.2.4-3 
- Added shared_path option to mount and mount_record 

* Fri Oct 15 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.4-2 
- Added the create_mount_point and destroy_mount_point_options to mount and unmount 

* Thu Oct 07 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.4-1 
- Update to spec v 1.24 
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Thu Oct 07 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.3-5 
- Added the iSCSI stop() call.. 

* Wed Oct 06 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.3-4 
- Updated tests to support iSCSI as well as allowing PluginRunner to dump tracebacks 

* Wed Sep 15 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.3-3 
- Updated to use the approved license from Edward Screven... 

* Tue Sep 14 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.3-2 
- Updated licenses 

* Mon Sep 13 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.3-1
- v1.23 

* Sat Sep 11 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-16 
- epydoc updates 

* Sat Sep 11 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-15 
- Fixes to allow multiline input... 

* Sat Sep 11 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-14  
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Thu Sep 09 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-13 
- Added copy command 

* Sat Sep 04 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-12 
- Sync up to version 1.2.2 (renameAccessGroup) 

* Tue Aug 31 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-11 
- Fixed plugin_cache fields. Updated API pydoc. 

* Tue Aug 31 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-10 
- Added the new_size param to the ISA resize call 

* Sun Aug 29 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-9 
- Fixed SE_STATES 

* Fri Aug 27 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-8 
- Package update

* Fri Aug 27 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-7 
- Docs regen with SE_UPDATES changed 

* Fri Aug 27 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-6  
- Update StorageConnectDevGen.pdf 

* Thu Aug 26 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-5 
- Fixed a typo 

* Tue Aug 24 2010 Joel Becker <joel.becker@oracle.com> - 1.2.1-4 
- OSCPlugin: Fix exception initializations.
  IPluginException __init__() functions need to initialize their parent
  classes.  This allows pickling of the exceptions to work.
  Signed-off-by: Joel Becker <joel.becker@oracle.com> 

* Mon Aug 23 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-3 
- Added a check to the import exception since Python 2.4 does not have a message key in the exception classes...
  patch:python24-braindead-changes 

* Mon Aug 23 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.1-2 
- Make the FS naming consistent
  patch-name:fs-naming 

* Wed Aug 18 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-12  
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Wed Aug 18 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-11 
- Added SE_STATES for actual SE states 

* Wed Aug 18 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-10 
- Remove StringReader, should rather use StringIO or cStringIO 

* Wed Aug 18 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-9 
- Changed "" to "None" for help text fields since the discovery code cannot seem to send empty strings correctly 

* Tue Aug 17 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-8 
- Changed BlockBasedFileSystem to LocalFileSystem, removed fs_type from
  fs_record 
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Tue Aug 17 2010 Joel Becker <joel.becker@oracle.com> - 1.2.0-7 
- OSCPluginUtils: Add getInitiatorNames()
  Parse /etc/iscsi/initiatorname.iscsi to return the available initiator
  names.
  Signed-off-by: Joel Becker <joel.becker@oracle.com> 

* Tue Aug 17 2010 Joel Becker <joel.becker@oracle.com> - 1.2.0-6 
- OSCPluginUtils: Add getPortNames()
  Return the port WWNs for FibreChannel HBAs.
  Signed-off-by: Joel Becker <joel.becker@oracle.com> 

* Fri Aug 13 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-5 
- Updated to spec to 1.21BETA.
  Following changes in the spec:
  + Added the ss_extra_info_help, se_extra_info_help, fs_extra_info_help and
  file_extra_info_help
  + Added filesys_name for IFileSystemPlugin to set the display name for the
  file system
  + Changed OCFSFileSystem to BlockBasedFileSystem to allow for other block
  based file system like ZFS
  + Couple of doc errors 
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Tue Aug 10 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-4  
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Thu Jul 15 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-3 
- Added --show-plugins option PluginRunner 

* Thu Jul 15 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-2 
- Changed PluginManager to not look at .* files 

* Thu Jul 02 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.2.0-1 
- Sync up with revision 1.2 BETA of spec

* Tue Jun 29 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-27 
- Changed path regex 

* Fri Jun 18 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-25 
- Fixed missing gettext import 

* Thu Jun 17 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-24 
- Changed storage_names list to storage_name string 

* Tue Jun 08 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-22 
- Another fix 

* Mon Jun 07 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-21 
- Defined the iscsiadm variable 

* Fri Jun 04 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-20 
- Updated 

* Fri Jun 04 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-19 
- Fixed sample spec and two bugs in pluginrunner 

* Fri Jun 04 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-18 
- Added the BasicTests 

* Thu Jun 03 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-17 
- Added mount records 
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Thu Jun 03 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-16 
- IFS spec update... Introduce the mount point records 

* Wed Jun 02 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-15  
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Wed Jun 02 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-14 
- Fixed __required_methods__ for IFS 

* Wed Jun 02 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-13 
- Lots of changes to the IFS side of things... Spec and doc update 

* Wed Jun 02 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-12 
- Misc fixes 

* Fri May 28 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-11 
- Some more fixin's 

* Thu May 27 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-10 
- Some more fixin's 

* Fri May 14 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-9 
- Checkpoint 

* Fri May 07 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-8 
- Introduction of PluginRunner (replacing PluginTest) 

* Thu Apr 22 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-7 
- Added the OSCPlugin import 

* Sun Apr 18 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-6 
- Added exception handling etc. 

* Thu Apr 08 2010 Wiekus Beukes <wiekus.beukes@oracle.com> - 1.0.9-5 
- Remove the NetApp sample completely 
- Update StorageConnectDevGen.pdf 
- Update StorageConnectDevIFS.pdf 
- Update StorageConnectDevISA.pdf 

* Tue Mar 29 2010 Wiekus Beukes <wiekus.beukes@oracle.com> 1.0.9-4
- Repackage for daily build system

* Tue Mar 2 2010 Wiekus Beukes <wiekus.beukes@oracle.com> 1.0.9-3
- Removed the ISA/IFS layer
- Renamed IPlugin and IPluginUtils to OSCPlugin and OSCPluginUtils

* Fri Feb 19 2010 Wiekus Beukes <wiekus.beukes@oracle.com> 1.0.9-2
- Changed UUID to use the string representation of the UUID

* Fri Feb 12 2010 Wiekus Beukes <wiekus.beukes@oracle.com> 1.0.9-1
- Added getStorageNames() methods

* Wed Feb 3 2010 Wiekus Beukes <wiekus.beukes@oracle.com> 1.0.8-1
- Initial packaging
